commit:     14c8cba87e809bef9797f167d52ca142dbb7e8ab
Author:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
AuthorDate: Sat Jun 11 03:30:34 2022 +0000
Commit:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
CommitDate: Sat Jun 11 04:01:01 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=14c8cba8

gnome-base/librsvg: Version bump to 2.54.4

Signed-off-by: Matt Turner <mattst88 <AT> gentoo.org>

 gnome-base/librsvg/Manifest              |   1 +
 gnome-base/librsvg/librsvg-2.54.4.ebuild | 108 +++++++++++++++++++++++++++++++
 2 files changed, 109 insertions(+)

diff --git a/gnome-base/librsvg/Manifest b/gnome-base/librsvg/Manifest
index 27a56bdfb7df..83c6b72154ce 100644
--- a/gnome-base/librsvg/Manifest
+++ b/gnome-base/librsvg/Manifest
@@ -1,2 +1,3 @@
 DIST librsvg-2.40.21.tar.xz 1655860 BLAKE2B 
a3fd7915d39984057e860da90115d9d95cef97e61d3f5e4c3aaaf399c4b3bfe781e6a7b969958ae84a3b7f2c788576fe26f56b037ca0a6a2e059b53f2bd1b9fc
 SHA512 
db0563d8e0edaae642a6b2bcd239cf54191495058ac8c7ff614ebaf88c0e30bd58dbcd41f58d82a9d5ed200ced45fc5bae22f2ed3cf3826e9348a497009e1280
 DIST librsvg-2.54.3.tar.xz 28215048 BLAKE2B 
3685b9c0eb923874e6829c365f437095b595ccea997b7b1411ab82117d09b84261241594959a049bd712fc0791d359c6bf536acfe022c44bcbd7804a2a59ef28
 SHA512 
153bb9d5b2e04ac87127663ab2cae1ae9e3c23666e54234efb3e247a6c3fdd67701f8baa31e06bba673c0cfc71202001c46fb8e0398770dfbc59e10f6de78077
+DIST librsvg-2.54.4.tar.xz 28214908 BLAKE2B 
9aab1175494e50c9b4a1b74c76c0db4f052e42d98e48842c87a5434382983fc63f41923c67dc86c31988c114c4a18056d52a99c8ac2d5c1dd90af3da4814e4ac
 SHA512 
e3415044a4faa48ec83e25cbd86dfbe7bc997286269298fb913a61a13d55195f660bcef459950979c2b8d60b144b29e33b278b2c4da0c376de65c34f39687e9a

diff --git a/gnome-base/librsvg/librsvg-2.54.4.ebuild 
b/gnome-base/librsvg/librsvg-2.54.4.ebuild
new file mode 100644
index 000000000000..817c28c4e00e
--- /dev/null
+++ b/gnome-base/librsvg/librsvg-2.54.4.ebuild
@@ -0,0 +1,108 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=( python3_{8..11} )
+
+inherit gnome2 multilib-minimal python-any-r1 rust-toolchain vala
+
+DESCRIPTION="Scalable Vector Graphics (SVG) rendering library"
+HOMEPAGE="https://wiki.gnome.org/Projects/LibRsvg 
https://gitlab.gnome.org/GNOME/librsvg";
+
+LICENSE="LGPL-2+"
+SLOT="2"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~x86"
+
+IUSE="gtk-doc +introspection +vala"
+REQUIRED_USE="
+       gtk-doc? ( introspection )
+       vala? ( introspection )
+"
+RESTRICT="test" # Lots of issues on 32bit builds, 64bit build seems to get 
into an infinite compilation sometimes, etc.
+
+RDEPEND="
+       >=x11-libs/cairo-1.16.0[glib,svg,${MULTILIB_USEDEP}]
+       >=media-libs/freetype-2.9:2[${MULTILIB_USEDEP}]
+       >=x11-libs/gdk-pixbuf-2.20:2[introspection?,${MULTILIB_USEDEP}]
+       >=dev-libs/glib-2.50.0:2[${MULTILIB_USEDEP}]
+       >=media-libs/harfbuzz-2.0.0:=[${MULTILIB_USEDEP}]
+       >=dev-libs/libxml2-2.9.1-r4:2[${MULTILIB_USEDEP}]
+       >=x11-libs/pango-1.48.11[${MULTILIB_USEDEP}]
+
+       introspection? ( >=dev-libs/gobject-introspection-0.10.8:= )
+"
+DEPEND="${RDEPEND}
+       >=virtual/rust-1.56[${MULTILIB_USEDEP}]
+       ${PYTHON_DEPS}
+       $(python_gen_any_dep 'dev-python/docutils[${PYTHON_USEDEP}]')
+       gtk-doc? ( dev-util/gi-docgen )
+       virtual/pkgconfig
+       vala? ( $(vala_depend) )
+
+       dev-libs/gobject-introspection-common
+       dev-libs/vala-common
+"
+# dev-libs/gobject-introspection-common, dev-libs/vala-common needed by 
eautoreconf
+
+QA_FLAGS_IGNORED="
+       usr/bin/rsvg-convert
+       usr/lib.*/librsvg.*
+"
+
+src_prepare() {
+       use vala && vala_src_prepare
+       gnome2_src_prepare
+}
+
+multilib_src_configure() {
+       local myconf=(
+               --disable-static
+               --disable-debug
+               $(multilib_native_use_enable gtk-doc)
+               $(multilib_native_use_enable introspection)
+               $(multilib_native_use_enable vala)
+               --enable-pixbuf-loader
+       )
+
+       if ! multilib_is_native_abi; then
+               myconf+=(
+                       # Set the rust target, which can differ from CHOST
+                       RUST_TARGET="$(rust_abi)"
+                       # RUST_TARGET is only honored if cross_compiling, but 
non-native ABIs aren't cross as
+                       # far as C parts and configure auto-detection are 
concerned as CHOST equals CBUILD
+                       cross_compiling=yes
+               )
+       fi
+
+       ECONF_SOURCE=${S} \
+       gnome2_src_configure "${myconf[@]}"
+
+       if multilib_is_native_abi; then
+               ln -s "${S}"/doc/html doc/html || die
+       fi
+}
+
+multilib_src_compile() {
+       gnome2_src_compile
+}
+
+multilib_src_install() {
+       gnome2_src_install
+}
+
+multilib_src_install_all() {
+       find "${ED}" -name '*.la' -delete || die
+
+       if use gtk-doc; then
+               mkdir -p "${ED}"/usr/share/gtk-doc/html/ || die
+               mv "${ED}"/usr/share/doc/Rsvg-2.0 
"${ED}"/usr/share/gtk-doc/html/ || die
+       fi
+}
+
+pkg_postinst() {
+       multilib_foreach_abi gnome2_pkg_postinst
+}
+
+pkg_postrm() {
+       multilib_foreach_abi gnome2_pkg_postrm
+}

Reply via email to